/v1/reference/{vocabulary}
GET
/v1/reference/{vocabulary}
const url = 'https://api.emely.io/v1/reference/right-types';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.emely.io/v1/reference/right-types \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”vocabulary
required
string
Responses
Section titled “ Responses ”The values of one reference vocabulary
Media typeapplication/json
One of:
object
vocabulary
required
string
items
required
Array<object>
object
value
required
string
comment
string | null
object
vocabulary
required
string
items
required
Array<object>
object
value
required
string
rightType
required
string
name
required
string
active
required
boolean
object
vocabulary
required
string
items
required
Array<object>
object
value
required
string
comment
string | null
object
vocabulary
required
string
items
required
Array<object>
object
value
required
string
comment
string | null
object
vocabulary
required
string
items
required
Array<object>
object
value
required
string
comment
string | null
object
vocabulary
required
string
items
required
Array<object>
object
code
required
string
region
required
string
Example
{ "vocabulary": "right-types"}Unknown vocabulary
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Token role refused upstream
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}